## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.15.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/oras-project/oras
%global goipath         oras.land/oras
%global forgeurl        https://github.com/oras-project/oras
Version:                1.2.2

%gometa -L -f

%global common_description %{expand:
Work with OCI registries, but for secure supply chain - managing content like
artifacts, images, SBOM.}

%global golicenses      LICENSE
%global godocs          docs CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        MAINTAINERS.md OWNERS.md README.md SECURITY.md

Name:           golang-oras
Release:        %autorelease
Summary:        OCI registry client - managing content like artifacts, images, packages

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  golang(oras.land/oras-go/v2)

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

# Remove e2e tests
rm -rf test/e2e

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc docs CODE_OF_CONDUCT.md CONTRIBUTING.md MAINTAINERS.md OWNERS.md README.md
%doc SECURITY.md
%{_bindir}/oras
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.2-2
- Fix FTBFS - Closes rhbz#2300812

* Sun Dec 29 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.2-1
- Fix FTBFS - Closes rhbz#2300812

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.15.1-5
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Feb 21 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.15.1-1
- Initial import; Fixes: RHBZ#2172238
## END: Generated by rpmautospec
